November 06, 2008

DotNetNuke 4.9.0 Authentication Provider Install Error

Recently working with a client of mine we discovered a bug in DotNetNuke 4.9.0 that has been reported to the DotNetNuke corporation, but will not be resoled until another relese is completed.  This bug affects the installation of ANY Authentication provider and is only an issue on DotNetNuke 4.9.0 installations.  The bug will manifest itself as a JavaScript error when trying to install the provider.

The fix is quite simple, while still logged in as host navigate to "Host" -> "Host Settings".  From here expand the "Other Settings" section and uncheck the box for "Enable AJAX".  Click "Update Settings" to apply the changes, then click "Restart Application" to ensure that the change has been made.

Now you can install your authentication provider.  Once the installation is complete, simply re-enable Ajax and everything is back to normal!  I hope this helps those of you looking to install authentication providers on 4.9.0.

tags: DNN, Tutorials
comments powered by Disqus

Content provided in this blog is provided "AS-IS" and the information should be used at your own discretion.  The thoughts and opinions expressed are the personal thoughts of Mitchel Sellers and do not reflect the opinions of his employer.

Content Copyright

Content in this blog is copyright protected.  Re-publishing on other websites is allowed as long as proper credit and backlink to the article is provided.  Any other re-publishing or distribution of this content is prohibited without written permission from Mitchel Sellers.